package cours3_interfaceEtTests;
/**
 * Comptes dont le solde n'est jamais négatif.
 * @author aponte
 *
 */
public interface CompteNonDebiteur {
	  /**
	   * Retourne le solde courant du compte.
	   * @return un double non négatif.
	   */
	  public double getSolde(); 

	  /**
	   * Retire le montant m du solde courant.
	   * @param m montant à retirer.
	   * @throws IllegalArgumentException si 
	   * m est plus grand que le solde avant retrait.
	   */
	  public void retrait(double m);
	  /**
	   * Ajoute le montant m au solde courant.
	   * @param m montant à ajouter.
	   * @throws IllegalArgumentException si m
	   * plus le solde avant dépot est négatif.
	   */
	  public void depot(double m);
}
