package cours3_interfaceEtTests;

import static org.junit.Assert.*;

import org.junit.Test;

import cours3_interfaceEtTests.CompteND;

public class CompteNDTest {

	@Test(expected= IllegalArgumentException.class, timeout=1000)
	public void testConstructFail() {
		new CompteND(-10.0);
	}
	@Test(timeout=1000)
	public void testConstructOK() {
		CompteND c = new CompteND(10.0);
		assertEquals(10.0, c.getSolde(), 1e-15);
	}
	@Test(timeout=1000)
	public void testConstructZeroOK() {
		CompteND c = new CompteND(0.0);
		assertEquals(0.0, c.getSolde(), 1e-15);
	}
	@Test(expected= IllegalArgumentException.class,timeout=1000)
	public void testConstructRetraitFails() {
		CompteND c = new CompteND(10.0);
		c.retrait(30);
	}
	@Test(timeout=1000)
	public void testConstructRetraitOK() {
		CompteND c = new CompteND(100.0);
		c.retrait(30);
		assertEquals(70.0, c.getSolde(), 1e-15);
	}
	@Test(timeout=1000)
	public void testConstructDepottOK() {
		CompteND c = new CompteND(100.0);
		c.depot(30);
		assertEquals(130.0, c.getSolde(), 1e-15);
	}
	@Test(expected= IllegalArgumentException.class,timeout=1000)
	public void testDepotFails() {
		CompteND c = new CompteND(10.0);
		c.depot(-30);
	}
}
